package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintResidualRisk;

public interface MaintResidualRiskService {
	
List<MaintResidualRisk> getMaintResidualRisks();
	
	List<MaintResidualRisk> getMaintResidualRisksExceptThis(Integer legalEntityCode,String residualRiskCode);
	
	MaintResidualRisk getMaintResidualRisk(Integer legalEntityCode, String residualRiskCode, String status);
	
	DataTableResponse getMaintResidualRisks(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	List<MaintResidualRisk> getMaintResidualRiskforUpdate(Integer legalEntityCode, String status);
	
	void createMaintResidualRisk(List<MaintResidualRisk> maintResidualRisks)throws Exception;
	
	void updateMaintResidualRisks(List<MaintResidualRisk> maintResidualRisks);
	
	Boolean isMaintResidualRisk(Integer legalEntityCode);
	
	MaintResidualRisk getResidualRiskOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isResidualRiskCode(Integer legalEntityCode,  String residualRiskCode);

}
